ru.bitel.bgbilling.modules.tv.runtime

## Class ServiceRuntimeList.ServiceItem

- java.lang.Object
- - ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem
  - - ru.bitel.bgbilling.modules.tv.runtime.ServiceRuntimeList.ServiceItem

- All Implemented Interfaces:
    java.lang.Comparable<java.util.concurrent.Delayed>, java.util.concurrent.Delayed
  Enclosing class:
    ServiceRuntimeList

      public static final class ServiceRuntimeList.ServiceItem
      extends ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem
      implements java.util.concurrent.Delayed

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `deviceState`
    `int` | `serviceId`
    `int` | `serviceSpecId`
    `int` | `version`

    - ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem

      `id, timeFrom, timeTo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceItem(int productId, int serviceSpecId, int serviceId, java.util.Date timeFrom, java.util.Date timeTo)`
    `ServiceItem(int productId, int serviceSpecId, int serviceId, long timeFrom, long timeTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.util.concurrent.Delayed other)`
    `long` | `getDelay(java.util.concurrent.TimeUnit unit)`
    `Service` | `toService(int contractId, int accountId)`
    `java.lang.StringBuilder` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceSpecId

          public final int serviceSpecId

    - #### serviceId

          public final int serviceId

    - #### deviceState

          public volatile short deviceState

    - #### version

          public volatile int version

  - ### Constructor Detail

    - #### ServiceItem

          public ServiceItem(int productId,
                             int serviceSpecId,
                             int serviceId,
                             java.util.Date timeFrom,
                             java.util.Date timeTo)

    - #### ServiceItem

          public ServiceItem(int productId,
                             int serviceSpecId,
                             int serviceId,
                             long timeFrom,
                             long timeTo)

  - ### Method Detail

    - #### getDelay

          public long getDelay(java.util.concurrent.TimeUnit unit)

      Specified by:
        `getDelay` in interface `java.util.concurrent.Delayed`

    - #### compareTo

          public int compareTo(java.util.concurrent.Delayed other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.util.concurrent.Delayed>`

    - #### toService

          public Service toService(int contractId,
                                   int accountId)

    - #### toString

          public java.lang.StringBuilder toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`